:root {
    --mycolor: #ddabb7;
    --bs-blue: #6f42c1;
    --bs-indigo: #6610f2;
    --bs-purple: #6f42c1;
    --bs-pink: #d63384;
    --bs-red: #dc3545;
    --bs-orange: #fd7e14;
    --bs-yellow: #ffc107;
    --bs-green: #198754;
    --bs-teal: #20c997;
    --bs-cyan: #0dcaf0;
    --bs-white: #d3bcbc;
    --bs-gray: #6c757d;
    --bs-gray-dark: #343a40;
    --bs-primary: #6f42c1;
    --bs-secondary: #6c757d;
    --bs-success: #198754;
    --bs-info: #0dcaf0;
    --bs-warning: #ffc107;
    --bs-danger: #dc3545;
    --bs-light: #f8f9fa;
}

.logo {
    width: 200px;
}

.bg-dark {
    background-color: var(--mycolor) !important;
}

@font-face {
    font-family: 'ShadowsIntoLightTwo';
    src: url('../fonts/ShadowsIntoLightTwo-Regular.ttf') format('truetype');
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Roboto';
    src: url('../fonts/Roboto-Regular.ttf') format('truetype');
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Roboto';
    src: url('../fonts/Roboto-Bold.ttf') format('truetype');
    font-weight: 700;
    font-style: normal;
    font-display: swap;
}

body {
    padding-top: 130px;
}

h1,
h2 {
    font-family: 'ShadowsIntoLightTwo', cursive;
}

.navbar {
    min-height: 130px;
}

.hero {
    position: relative;
    height: calc(100vh - 130px);
    overflow-x: hidden;
}

header img {
    width: 100%;
    height: 100%;
    display: block;
    object-fit: cover;
}

.hero-title {
    position: absolute;
    top: 70%;
    left: 10%;
    color: #fff;
    font-size: 2rem;
    margin: 0;
}

.hero-cta {
    position: absolute;
    top: 82%;
    left: 15%;
    margin: 0;
}

.btn-primary {
    color: #6f42c1;
    background-color: #ffffff;
    border-color: #6f42c1;

}

:root {
   --bs-blue: #6f42c1;
}

/* Wrapper */
.skills-wrapper {

    position: relative;
    gap: 40px;
}

/* Verbindungslinie */
.skills-wrapper::before {

    content: "";

    position: absolute;

    top: 50%;
    left: 0;
    right: 0;

    height: 4px;

    background-color: var(--mycolor);

    z-index: 0;
}

/* Kreise */
.skill-circle {

    width: 100px;
    height: 100px;

    background-color: var(--bs-white);

    color: rgb(0, 0, 0);

    border-radius: 50%;

    display: flex;
    justify-content: center;
    align-items: center;

    font-weight: bold;

    position: relative;

    z-index: 1;

    transition: 0.3s;
}

/* Hover Effekt */
.skill-circle:hover {

    transform: scale(1.1);

    background-color: #ffffff;
}

section .folder{
    background-color: var(--bs-white) !important;
}

.flip-card{
  perspective: 1000px;

  width: 100%;
  max-width: 900px;
  margin: 0 auto;

  aspect-ratio: 120 / 40;   /* Höhe ergibt sich automatisch */
  position: relative;
}

.flip-card-inner{
  position: absolute;
  inset: 0;               /* top/right/bottom/left = 0 */
  transition: transform 0.6s;
  transform-style: preserve-3d;
}

.flip-card:hover .flip-card-inner{
  transform: rotateY(180deg);
}

.flip-card-front,
.flip-card-back{
  position: absolute;
  inset: 0;
  backface-visibility: hidden;
}

.flip-card-front img,
.flip-card-back img{
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}

.flip-card-back{
  transform: rotateY(180deg);
}

.progress-bar {
    display: flex;
    flex-direction: column;
    justify-content: center;
    overflow: hidden;
    color: #fff;
    text-align: center;
    white-space: nowrap;
    background-color: #ddabb7;
}

.btn-primary {
    color: #fff;
    background-color: #6f42c1;
    border-color: #ffffff;
}

.bg-primary {
    background-color:  #d3bcbc !important;
}

.btn-link {
    font-weight: 400;
    color: #6f42c1;
    text-decoration: underline;
}

a {
    color: #6f42c1;
    text-decoration: underline;
}

